<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>File Upload</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css"
          th:href="@{css/bootstrap.min.css}"/>

    <link rel="stylesheet" type="text/css" href="css/dataTable.min.css"
          th:href="@{css/dataTable.min.css}"/>
    <script src="js/jquery.min.js"
            data-th-src="@{/js/jquery.min.js}"></script>

    <script src="js/dataTables.min.js"
            data-th-src="@{/js/dataTables.min.js}"></script>

    <script>
        $(document).ready(function () {
            $('#example').DataTable();
        });
    </script>
</head>

<body>

<div class="container well">
    <div>
        <h3>Click a generate sample file button to generate a sample csv file that will be uploaded later on.</h3>
    </div>
    <div class="pull-right">
        <form method="post" action="/generateSampleFile" enctype="multipart/form-data">
            <input type="submit" class="btn btn-primary" value="Generate Sample"/>
        </form>
    </div>

    <div th:if="${result}">
        <div class="alert alert-success">
            <span th:text="${result}"></span>
        </div>
    </div>

</div>

<div class="container well">
    <form method="post" action="/uploadFile" enctype="multipart/form-data">
        <div class="form-group">
            <input type="file" class="form-control" name="file" accept=".csv"/>
            <input type="submit" value="submit" class="btn btn-primary" data-toggle="modal"
                   data-backdrop="static"></input>
        </div>

    </form>

    <div th:if="${fileUploadMessage}">
        <div class="alert alert-success">
            <span th:text="${fileUploadMessage}"></span>
        </div>
    </div>
</div>

<!-- table -->
<div class="container well">
    <table id="example" class="display" cellspacing="0" width="100%">
        <thead>
        <tr>
            <th>FileName</th>
            <th>Start Date</th>
            <th>End Date</th>
            <th>Valid Deals Count</th>
            <th>Invalid Deals Count</th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th>FileName</th>
            <th>Start Date</th>
            <th>End Date</th>
            <th>Valid Deals Count</th>
            <th>Invalid Deals Count</th>
        </tr>
        </tfoot>
        <tbody>
        <tr th:each="uploadedFile : ${uploadedFiles}">
            <td th:text="${uploadedFile.fileName}"></td>
            <td th:text="${uploadedFile.dealStartDate}"></td>
            <td th:text="${uploadedFile.dealEndDate}"></td>
            <td th:text="${uploadedFile.validDealsCount}"></td>
            <td th:text="${uploadedFile.invalidDealsCount}"></td>
        </tr>
        </tbody>
    </table>
</div>


</body>
</html>
